package DesignPatterns.Erzeugungsmuster_CreationalPatterns.Factory.Zoo;

import DesignPatterns.Erzeugungsmuster_CreationalPatterns.Factory.Zoo.domain.Animal;
import DesignPatterns.Erzeugungsmuster_CreationalPatterns.Factory.Zoo.domain.Cat;
import DesignPatterns.Erzeugungsmuster_CreationalPatterns.Factory.Zoo.domain.Dog;

public class FaktoryMethode {
	
	public static Animal erzeugeTiere(String species,String name, int alter) {
		switch (species) {
		
			case "Dog":
				return new Dog(name,alter);
				
			case "Cat":
				return new Cat(name,alter);
				
			default:
				return null;
				
		}	
	}

}
